## ros-kinetic-mm-mux-demux 0.2.4

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(mm_mux_demux)

##############################################################################
# Find Packages
##############################################################################

find_package(catkin REQUIRED COMPONENTS
    ecl_build
    ecl_command_line
    ecl_containers
    ecl_formatters
    ecl_threads
    ecl_time
    ecl_utilities
    mm_core_msgs
    mm_messages
    nanomsg
)

##############################################################################
# Catkin
##############################################################################

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
    CATKIN_DEPENDS
        ecl_build
        ecl_command_line
        ecl_containers
        ecl_formatters
        ecl_threads
        ecl_time
        ecl_utilities
        mm_core_msgs
        mm_messages
        nanomsg
)

##############################################################################
# Project Configuration
##############################################################################

# upgrade to c11 as soon as we are able.
ecl_enable_cxx11_compiler()
add_definitions(${catkin_DEFINITIONS})
include_directories(include ${catkin_INCLUDE_DIRS})

##############################################################################
# Sources
##############################################################################

add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(tests)

##############################################################################
# Installs
##############################################################################

#install(
#    PROGRAMS 
#        scripts/foo
#    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
#    )

#install(DIRECTORY launch
#        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
#)

=== include/CMakeLists.txt ===
##############################################################################
# Subdirectories
##############################################################################

add_subdirectory(${PROJECT_NAME})

=== src/CMakeLists.txt ===
##############################################################################
# Subdirectories
##############################################################################

add_subdirectory(lib)
add_subdirectory(demos)

=== include/mm_mux_demux/CMakeLists.txt ===
###############################################################################
# FILES
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)

install(FILES ${HEADERS} DESTINATION include/${PROJECT_NAME})

=== src/demos/CMakeLists.txt ===
##############################################################################
# Macro
##############################################################################

macro(${PROJECT_NAME}_add_demo name)
  set(target_name ${PROJECT_NAME}_${name})  # unique target names
  add_executable(${target_name} ${name}.cpp)
  set_target_properties(${target_name} PROPERTIES OUTPUT_NAME ${name})
  target_link_libraries(${target_name} ${PROJECT_NAME} ${catkin_LIBRARIES})
  install(TARGETS ${target_name} RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
endmacro()

##############################################################################
# Executables
##############################################################################

mm_mux_demux_add_demo(mm_pubsub)
mm_mux_demux_add_demo(nanomsg_pubsub)
mm_mux_demux_add_demo(nanomsg_pipeline)
mm_mux_demux_add_demo(nanomsg_services)
mm_mux_demux_add_demo(iproc)

=== debian/changelog ===
ros-kinetic-mm-mux-demux (0.2.4-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 08 Oct 2018 11:22:05 -0000

ros-kinetic-mm-mux-demux (0.2.0-0xenial) xenial; urgency=high

  * nanomsg pipeline and service demo programs
  * mux/demux static api renamed to allow cross-class templatisation calls

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 17 Sep 2014 04:00:00 -0000

ros-kinetic-mm-mux-demux (0.1.1-0xenial) xenial; urgency=high

  * publisher and subscriber frontends.
  * multiplexer and demultiplexer.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 12 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-mm-mux-demux
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-ecl-build, ros-kinetic-ecl-command-line, ros-kinetic-ecl-containers, ros-kinetic-ecl-formatters, ros-kinetic-ecl-threads, ros-kinetic-ecl-time, ros-kinetic-ecl-utilities, ros-kinetic-mm-core-msgs, ros-kinetic-mm-messages, ros-kinetic-nanomsg
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-mm-mux-demux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ecl-build, ros-kinetic-ecl-command-line, ros-kinetic-ecl-containers, ros-kinetic-ecl-formatters, ros-kinetic-ecl-threads, ros-kinetic-ecl-time, ros-kinetic-ecl-utilities, ros-kinetic-mm-core-msgs, ros-kinetic-mm-messages, ros-kinetic-nanomsg
Description: Multiplexing many packet types across a single connection.
 Great for embedded connections by serial or ethernet types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-mm-mux-demux//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
